Skip to main content
POST
/
api
/
v2
/
subscriptions
Create subscription
curl --request POST \
  --url https://rcur.app/api/v2/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Monthly Premium",
  "customer_id": "abc123def456",
  "mollie_profile_id": "pfl_abc123",
  "mollie_mandate_id": "mdt_abc123",
  "start_date": "2025-02-01",
  "rules": [
    {
      "amount": 29.99,
      "interval": "month",
      "interval_amount": 1,
      "day": 1,
      "times": 12,
      "invoice_rules": [
        {
          "quantity": 1,
          "description": "Monthly subscription fee",
          "amount": 29.99,
          "vat": "21",
          "ledger_account_id": "la_123"
        }
      ]
    }
  ],
  "workflow_id": "wf_123",
  "docstyle_id": "ds_123"
}
'
{
  "id": "sub_abc123",
  "name": "Monthly Premium",
  "status": "active",
  "start_date": "2025-01-01",
  "created_at": "2025-01-01 10:00:00",
  "mollie_mandate_id": "mdt_abc123",
  "mollie_profile_id": "pfl_abc123",
  "next_payment_at": "2025-02-01",
  "next_amount": "29.99",
  "last_payment_created_at": "2025-01-01 10:00:00",
  "resume_at": "2025-03-01",
  "cancel_at": "2025-12-31",
  "rules": [
    {
      "id": "rule_abc123",
      "amount": "29.99",
      "currency": "EUR",
      "interval": "month",
      "interval_amount": 1,
      "day": 1,
      "times_done": 3,
      "times": 12
    }
  ],
  "customer": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Subscription data

name
string
required

Subscription name

Example:

"Monthly Premium"

customer_id
string
required

Customer hash ID

Example:

"abc123def456"

mollie_profile_id
string
required

Mollie profile ID

Example:

"pfl_abc123"

mollie_mandate_id
string
required

Mollie mandate ID

Example:

"mdt_abc123"

start_date
string
required

Start date (Y-m-d)

Example:

"2025-02-01"

rules
object[]
required

Subscription rules

workflow_id
string

Invoice workflow ID (required for Moneybird)

Example:

"wf_123"

docstyle_id
string

Document style ID (required for Moneybird)

Example:

"ds_123"

Response

Subscription details

id
string
required
Example:

"sub_abc123"

name
string
required
Example:

"Monthly Premium"

status
enum<string>
required
Available options:
draft,
active,
paused,
cancelled,
completed
Example:

"active"

start_date
string
required
Example:

"2025-01-01"

created_at
string
required
Example:

"2025-01-01 10:00:00"

mollie_mandate_id
string
Example:

"mdt_abc123"

mollie_profile_id
string
Example:

"pfl_abc123"

next_payment_at
string | null
Example:

"2025-02-01"

next_amount
string | null
Example:

"29.99"

last_payment_created_at
string | null
Example:

"2025-01-01 10:00:00"

resume_at
string | null
Example:

"2025-03-01"

cancel_at
string | null
Example:

"2025-12-31"

rules
object[]
customer
object